> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/remote-desktop-manager-powershell/powershell-scripting/list-of-property-names-for-powershell-script.md).

# Lista de nombres de propiedades para scripts de PowerShell

A menudo se nos pide una lista completa de los nombres de propiedades, y resulta difícil proporcionarla por varios motivos. El enfoque más eficaz sigue siendo examinar la estructura XML de una entrada relevante para determinar los nombres de los campos.

### Ingeniería inversa de la estructura de una entrada

1. Cree una entrada del tipo necesario y añada por ahora solo los datos obligatorios. Haga clic en ***OK*** para guardar la entrada.
2. Haga clic con el botón derecho en la entrada y utilice ***Clipboard – Copy***.
3. En el cuadro de diálogo que aparece, cambie a la pestaña ***Preview*** y copie la estructura XML en un fichero de texto. Este es el ANTES.
4. Realice manualmente en la entrada la modificación que se debería automatizar mediante PowerShell y guarde la entrada.
5. Con ***Clipboard – Copy***, guarde el XML modificado en otro fichero. Este es el DESPUÉS.
6. Compare los dos ficheros con una herramienta de comparación de diferencias: los campos que hayan cambiado y los valores que se hayan asignado indicarán lo que debe hacer el script.

{% hint style="info" %}
Más información sobre los [GUID de las propiedades de credenciales de Remote Desktop Manager](/powershell/es/remote-desktop-manager-powershell/essential-information-about-credential-property-guids-in-remote-desktop-manager.md) y los [GUID de las propiedades de credenciales de Devolutions Server](/powershell/es/devolutions-server-powershell/essential-information-about-credential-property-guids-in-devolutions-server.md).
{% endhint %}

### Trucos y consejos

* Para encontrar propiedades y rutas, aplique ingeniería inversa al formato del fichero XML de la sesión. Cree una sesión de ejemplo en Remote Desktop Manager y expórtela mediante el menú contextual ***Import/Export – Export Session (.rdm)***. Una vez exportada, abra el fichero .rdm con un editor. Explore la estructura XML para encontrar la ruta y el nombre de la propiedad.
* Para enumerar todas las propiedades de una entrada, canalice el objeto de sesión al cmdlet Get-Member.

```powershell
$session = Get-RDMSession -Name "MyRDPSession"
$session | Get-Member
```

#### Véase también

* [Devolutions Academy – Work with list of property names for PowerShell script and custom reports](https://academy.devolutions.net/student/page/2849045-work-with-list-of-property-names-for-powershell-script-and-custom-reports?curriculum_activity_id=4343923\&path_id=2628397\&sid=3dc8eec6-00a5-4443-ad91-950b3aac7dff\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/es/remote-desktop-manager-powershell/powershell-scripting/list-of-property-names-for-powershell-script.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
